GNU bug report logs - #59315
[PATCH v1 2/2] gnu: Add xgoldmon

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>; Keywords: patch; merged with #59316; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 59315-done <at> debbugs.gnu.org:


Received: (at 59315-done) by debbugs.gnu.org; 4 Dec 2022 21:23:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 16:23:02 2022
Received: from localhost ([127.0.0.1]:59826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1wRx-0000Yx-S7
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2022 16:23:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1p1wRv-0000Ym-U9
 for 59315-done <at> debbugs.gnu.org; Sun, 04 Dec 2022 16:23:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1p1wRq-0004jI-86; Sun, 04 Dec 2022 16:22:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=nScylAvgF8awQlvFlKdYGQ1Q26tGY9jOJWCg74cFRD4=; b=JEnsaRlorjfDdcbhWJxh
 gA3Fcg4IXkOE8BJ/7v8YyezZWPQScwHvJphpdZvIm0jTlvmUGX+6ZjhKdrOXyna54TDi7jOEFnxpA
 ZBKQx9Pd61BJVliW+6gbMvHk0nVeKTRvSfh7WDdIMSfmHguxE2cnAJvU81lPUWBjrdkA+dTeUpzIw
 d3dQXqKxV8Xhsa5tCZxnxa7L4Tb7RLZvKMQ4POktJewCR/w43WmRCNK92F7SGTMPWXlVk+TYWRlP6
 O/tZiLVdls8IEQnzZ4WX1VMK41FCUxaIhTZveXd3BpVyTUSW1BLSA5te/NAPnfCYcNOsnaqt205XE
 CHKlzjXQ1e86Fw==;
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1p1wRp-0001ck-L3; Sun, 04 Dec 2022 16:22:53 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
Subject: Re: bug#59315: [PATCH v1 2/2] gnu: Add xgoldmon
References: <20221116180709.5005-1-GNUtoo@HIDDEN>
 <20221116180709.5005-2-GNUtoo@HIDDEN>
Date: Sun, 04 Dec 2022 22:22:52 +0100
In-Reply-To: <20221116180709.5005-2-GNUtoo@HIDDEN> (Denis
 Carikli's message of "Wed, 16 Nov 2022 19:07:09 +0100")
Message-ID: <87pmcylv83.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59315-done
Cc: 59315-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi GNUtoo,

Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN> skribis:

> * gnu/packages/telephony.scm (xgoldmon): New variable.

Applied this one and the previous one, thanks!

Ludo=E2=80=99.




Notification sent to Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 59315-done <at> debbugs.gnu.org:


Received: (at 59315-done) by debbugs.gnu.org; 4 Dec 2022 21:23:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 16:23:02 2022
Received: from localhost ([127.0.0.1]:59826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1wRx-0000Yx-S7
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2022 16:23:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1p1wRv-0000Ym-U9
 for 59315-done <at> debbugs.gnu.org; Sun, 04 Dec 2022 16:23:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1p1wRq-0004jI-86; Sun, 04 Dec 2022 16:22:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=nScylAvgF8awQlvFlKdYGQ1Q26tGY9jOJWCg74cFRD4=; b=JEnsaRlorjfDdcbhWJxh
 gA3Fcg4IXkOE8BJ/7v8YyezZWPQScwHvJphpdZvIm0jTlvmUGX+6ZjhKdrOXyna54TDi7jOEFnxpA
 ZBKQx9Pd61BJVliW+6gbMvHk0nVeKTRvSfh7WDdIMSfmHguxE2cnAJvU81lPUWBjrdkA+dTeUpzIw
 d3dQXqKxV8Xhsa5tCZxnxa7L4Tb7RLZvKMQ4POktJewCR/w43WmRCNK92F7SGTMPWXlVk+TYWRlP6
 O/tZiLVdls8IEQnzZ4WX1VMK41FCUxaIhTZveXd3BpVyTUSW1BLSA5te/NAPnfCYcNOsnaqt205XE
 CHKlzjXQ1e86Fw==;
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1p1wRp-0001ck-L3; Sun, 04 Dec 2022 16:22:53 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
Subject: Re: bug#59315: [PATCH v1 2/2] gnu: Add xgoldmon
References: <20221116180709.5005-1-GNUtoo@HIDDEN>
 <20221116180709.5005-2-GNUtoo@HIDDEN>
Date: Sun, 04 Dec 2022 22:22:52 +0100
In-Reply-To: <20221116180709.5005-2-GNUtoo@HIDDEN> (Denis
 Carikli's message of "Wed, 16 Nov 2022 19:07:09 +0100")
Message-ID: <87pmcylv83.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59315-done
Cc: 59315-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi GNUtoo,

Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN> skribis:

> * gnu/packages/telephony.scm (xgoldmon): New variable.

Applied this one and the previous one, thanks!

Ludo=E2=80=99.




Notification sent to Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Merged 59315 59316. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Nov 2022 00:39:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 26 19:39:36 2022
Received: from localhost ([127.0.0.1]:41723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oz5ho-0000qA-Af
	for submit <at> debbugs.gnu.org; Sat, 26 Nov 2022 19:39:36 -0500
Received: from lists.gnu.org ([209.51.188.17]:46178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <GNUtoo@HIDDEN>) id 1oz5hl-0000q4-Sn
 for submit <at> debbugs.gnu.org; Sat, 26 Nov 2022 19:39:35 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <GNUtoo@HIDDEN>)
 id 1oz5hk-0002be-GT
 for guix-patches@HIDDEN; Sat, 26 Nov 2022 19:39:33 -0500
Received: from cyberdimension.org ([2001:910:1314:ffff::1]
 helo=gnutoo.cyberdimension.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <GNUtoo@HIDDEN>)
 id 1oz5hg-00077j-Ta
 for guix-patches@HIDDEN; Sat, 26 Nov 2022 19:39:30 -0500
Received: from gnutoo.cyberdimension.org (localhost [127.0.0.1])
 by cyberdimension.org (OpenSMTPD) with ESMTP id c74b714a
 for <guix-patches@HIDDEN>; Sun, 27 Nov 2022 00:37:28 +0000 (UTC)
Received: from primary_laptop (localhost [::1])
 by gnutoo.cyberdimension.org (OpenSMTPD) with ESMTP id f6138e7d
 for <guix-patches@HIDDEN>; Sun, 27 Nov 2022 00:37:27 +0000 (UTC)
Date: Sun, 27 Nov 2022 01:39:05 +0100
From: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
To: guix-patches@HIDDEN
Subject: Re: [PATCH v1 2/2] gnu: Add xgoldmon
Message-ID: <20221127013905.16f143bf@primary_laptop>
In-Reply-To: <20221116180709.5005-2-GNUtoo@HIDDEN>
References: <20221116180709.5005-1-GNUtoo@HIDDEN>
 <20221116180709.5005-2-GNUtoo@HIDDEN>
X-Mailer: Claws Mail 4.1.1 (GTK 3.24.30; i686-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/7UbI1kAdUdoJO=mVs=PVpWT";
 protocol="application/pgp-signature"; micalg=pgp-sha256
Received-SPF: pass client-ip=2001:910:1314:ffff::1;
 envelope-from=GNUtoo@HIDDEN; helo=gnutoo.cyberdimension.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--Sig_/7UbI1kAdUdoJO=mVs=PVpWT
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

merge 59315 59316

--Sig_/7UbI1kAdUdoJO=mVs=PVpWT
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEeC+d2+Nrp/PU3kkGX138wUF34mMFAmOCsakACgkQX138wUF3
4mM3Vw/5AcUwXXecnQmyr8Q25r0Ibib9fTGLFeUqnuX4LM5yAi3ETs7qtGFLQf9c
eoQFKJyN5lbml5O/9HFM0ff736P+kQRZcaMFJ9w5p+wzg10sEv5FRMCaf3MtMy81
5wN+STKRhfaW0uyAIn3vUpd929w96qQm5dtB10xSz3xu33Q8zgeDp4wq/o2Vl9Y/
w8xwlwg7LAyaNfDEVHNu88T0M4jQGxX1B7YDCqHpRZuWwPtg/vq1b+yizApfaoV6
BHs10x5Kb62L5TIiwNR595btWq1Pq6U7PV/cE9TLzI2X9cl3AeLwqs+M1+F+cGRa
cZ5JO8OavV7SzEWf0ulSly+mgTdWaVZoRPMHy6vruo6VrcO9ntVX3J5zaYrFO2M2
lEEYvSYX2JENVEmM/Z+EVuaa2B5nh4uKdhah6rkojAqHB5nBkSHcpeweM5Mv+ss/
YEHscAbJQPtOzvYR3Z5XOukuRGj22fT7+z2UAfrGdMV4BbHC+FZ8UhkmbZxAhY9H
qLE7zJdJjveUWRO/ncxRI+BGwefT/5jPwdjcjgZiA6Z/PobUijjYsU9kWnJ4ceC2
WP/3q0fHVKWjbjfId3VItXl33vs6zbLFTvuH4v0u2l+yNfZD1bjoltgApHSjA1CG
lq0nS/iuSeTm+3tipOCdbMRig0qUaVWdaTrIBCXLj0knWFOKW78=
=/QlH
-----END PGP SIGNATURE-----

--Sig_/7UbI1kAdUdoJO=mVs=PVpWT--




Information forwarded to guix-patches@HIDDEN:
bug#59315; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2022 18:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 13:07:23 2022
Received: from localhost ([127.0.0.1]:58088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovMok-0001Mb-U6
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 13:07:23 -0500
Received: from lists.gnu.org ([209.51.188.17]:39896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <GNUtoo@HIDDEN>) id 1ovMoj-0001MO-0G
 for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 13:07:21 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <GNUtoo@HIDDEN>)
 id 1ovMoi-0000cA-Rz
 for guix-patches@HIDDEN; Wed, 16 Nov 2022 13:07:20 -0500
Received: from cyberdimension.org ([80.67.179.20]
 helo=gnutoo.cyberdimension.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <GNUtoo@HIDDEN>)
 id 1ovMoh-0006cE-1g
 for guix-patches@HIDDEN; Wed, 16 Nov 2022 13:07:20 -0500
Received: from gnutoo.cyberdimension.org (localhost [127.0.0.1])
 by cyberdimension.org (OpenSMTPD) with ESMTP id 32960b65;
 Wed, 16 Nov 2022 18:06:25 +0000 (UTC)
Received: from localhost.localdomain (localhost [::1])
 by gnutoo.cyberdimension.org (OpenSMTPD) with ESMTP id 6af21f6c;
 Wed, 16 Nov 2022 18:06:25 +0000 (UTC)
From: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH v1 2/2] gnu: Add xgoldmon
Date: Wed, 16 Nov 2022 19:07:09 +0100
Message-Id: <20221116180709.5005-2-GNUtoo@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221116180709.5005-1-GNUtoo@HIDDEN>
References: <20221116180709.5005-1-GNUtoo@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=80.67.179.20;
 envelope-from=GNUtoo@HIDDEN; helo=gnutoo.cyberdimension.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/telephony.scm (xgoldmon): New variable.

Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
---
 gnu/packages/telephony.scm | 55 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index 2f508f4bdd..74af9acd47 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -979,3 +979,58 @@ (define-public libosmocore
 @end itemize")
     (home-page "https://osmocom.org/projects/libosmocore/wiki/Libosmocore")
     (license license:gpl2+)))
+
+(define-public xgoldmon
+  ;; There are no releases nor tags.
+  (let ((revision "1")
+        (commit "f2d5372acee4e492f31f6ba8b850cfb48fbbe478"))
+    (package
+     (name "xgoldmon")
+     (version (git-version "1.0" revision commit))
+     (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/2b-as/xgoldmon")
+                    (commit commit)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0dvgagqsbwq1sd5qjzk0hd9rxnv2vnmhazvv5mz4pj7v467amgdz"))))
+    (arguments
+     (list
+      #:tests? #f ;; No tests
+      #:make-flags #~(list (string-append "CC=" #$(cc-for-target)))
+      #:phases #~(modify-phases
+                  %standard-phases
+                  (delete 'configure)
+                  ;; No install target
+                  (replace
+                   'install
+                   (lambda _
+                     (let ((bin (string-append #$output "/bin"))
+                           (doc (string-append #$output "/share/doc")))
+                       (install-file "xgoldmon" bin)
+                       (install-file "README" doc)
+                       (install-file
+                        "screenshot-mtsms-while-in-a-call.png" doc)))))))
+    (inputs (list libosmocore
+                  lksctp-tools
+                  talloc))
+    (native-inputs (list pkg-config))
+    (build-system gnu-build-system)
+    (synopsis "Displays cellular network protocol traces in Wireshark")
+    (description "xgoldmon is an utility that converts the USB logging mode
+messages that various Intel/Infineon XGold modems send to the USB port to
+gsmtap.  It then then sends them to a given IP address to enable users
+to view cellular network protocol traces in Wireshark.
+
+It supports the following smartphones:
+@itemize
+@item Samsung Galaxy S4, GT-I9500 variant
+@item Samsung Galaxy SIII, GT-I9300 variant
+@item Samsung Galaxy Nexus, GT-I9250 variant
+@item Samsung Galaxy SII, GT-I9100 variant
+@item Samsung Galaxy Note II, GT-N7100 variant
+@end itemize")
+    (home-page "https://github.com/2b-as/xgoldmon")
+    (license license:gpl2+))))
-- 
2.38.1





Acknowledgement sent to Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#59315; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 4 Dec 2022 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.